TAU_VALIDATE(1)

NAME
tau_validate - Validates a TAU installation by performing various tests on each TAU stub Makefile

SYNOPSIS

tau_validate [-v] [--html] [--build] [--run] {arch directory}

DESCRIPTION

tau_validate will attempt to validate a TAU installation by performing various tests on each TAU stub Makefile. Some degree of logic exists to know where a given test applies to a given makefile, but it's not perfect.

OPTIONS

v Verbose output

html Output results in HTML

build Only build

run Only run

arch directory Specify an arch directory (e.g. rs6000), or the lib directory (rs6000/lib), or a specific makefile. Relative or absolute paths are ok.

EXAMPLE

There is a few examples:

bash : ./tau_validate --html x86_64 &> results.html
tcsh : ./tau_validate --html x86_64 >& results.html